summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2022-10-23 15:20:46 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2023-02-08 16:04:52 -0500
commitd3b0b50d15f635afaebf4a8eb2b29bd79d6de08b (patch)
treec29c57752fb449c281d2ab552562ac4db9f28b11
parenta98a594c1277e1b9cc4d2a5d05bdf36b13c95dcc (diff)
wip - parabola base
-rwxr-xr-xlibre/parabola-base/build-parabola-base-pkgs44
1 files changed, 44 insertions, 0 deletions
diff --git a/libre/parabola-base/build-parabola-base-pkgs b/libre/parabola-base/build-parabola-base-pkgs
new file mode 100755
index 000000000..9fbba9a57
--- /dev/null
+++ b/libre/parabola-base/build-parabola-base-pkgs
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+ABSLIBRE_DIR=/var/lib/archbuild/abslibre
+SYSTEMD_CHROOT=x64
+NONSYSTEMD_CHROOT=x64-nonsystemd
+
+pkg_dirs=(
+ nonsystemd/your-init-freedom
+
+ libre/base
+ nonsystemd/base
+
+ libre/parabola-base
+
+ libre/parabola
+ nonsystemd/parabola
+
+ libre/parabola-desktop-base
+
+ libre/parabola-desktop
+ nonsystemd/parabola-desktop
+
+ libre/parabola-desktop-gnome
+ libre/parabola-desktop-kde
+ libre/parabola-desktop-lxde
+ libre/parabola-desktop-mate
+)
+
+for pkg_dir in ${pkg_dirs[*]}
+do cd ${ABSLIBRE_DIR}/${pkg_dir}
+ pkgname=${pkg_dir/*\//}
+ abs_pkgver=$(source PKGBUILD ; echo ${pkgver}-${pkgrel})
+ repo_pkgver=$(pacman -S ^${pkgname}$ --print-format='%r/%n %v' | grep ${pkg_dir} | cut -d' ' -f2)
+
+ echo "${pkg_dir} comparing versions: abs_pkgver=${abs_pkgver} repo_pkgver=${repo_pkgver}"
+ [[ "${abs_pkgver}" == "${repo_pkgver}" ]] && echo "${pkg_dir} package is in the repos" && continue
+ ls ${pkgname}-${abs_pkgver}-any.pkg.tar.zst &> /dev/null && echo "${pkg_dir} package is built" && continue
+
+ echo "${pkg_dir} starting build" # ; continue ;
+ if [[ "${pkg_dir}" =~ ^nonsystemd/ ]]
+ then sudo libremakepkg -n ${NONSYSTEMD_CHROOT} || ! echo "${pkg_dir} failed" || break
+ else sudo libremakepkg -n ${SYSTEMD_CHROOT} || ! echo "${pkg_dir} failed" || break
+ fi
+done